package cz.utb.tadis.attacks.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;

@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum Epicenter {
    BUILDING_ENTRANCE("Na vstupu do budovy"),
    BUILDING_ENVELOPE("Plášť budovy"),
    INSIDE_BUILDING("Uvnitř budovy"),
    OUTDOORS("Venku"),
    OPEN_SPACE("Volné prostranství");

    private String label;

    Epicenter(String label) {
        this.label = label;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    @JsonProperty
    public String getName() {
        return name();
    }

}
